curl --request GET \
--url https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"alreadyAck": false,
"title": "<div>Custom Disclosure Acknowledgment and Authorization for Background Check (custom)</div>",
"header": "<div>Disclosure regarding background investigation and investigative consumer reports, a summary of your rights under the Fair Credit Reporting Act</div>",
"body": "<div><p><span>custom disclosure - I acknowledge receipt of the separate documents entitled DISCLOSURE REGARDING BACKGROUND INVESTIGATION, A SUMMARY OF YOUR RIGHTS UNDER THE FAIR CREDIT REPORTING ACT and the DISCLOSURE FOR INVESTIGATIVE CONSUMER REPORT and certify that I have read and understand those documents. </span></p><p><span>In connection with your employment application with Example Company (the “Company”), this notice is intended to inform you that a consumer report(s) (also known as “a background check”) may be obtained on you from a consumer reporting agency for employment purposes. The reports may contain information about you relating to your criminal information or history, driving and/or motor vehicle records, education and/or employment history, social media, or other background checks, inclusive of but not necessarily limited to records and information from </span><span>any law enforcement agency, administrator, state or federal agency, institution, school or university (public or private), information service bureau, employer, or insurance company</span><span>. </span><span>I agree that a facsimile ("fax"), electronic or photographic copy of this Authorization shall be as valid as the original.</span></p><p><span>The report(s) is being prepared by our background screening vendor, KarmaCheck, Inc. and its associated partners or vendors.</span></p><p><span>The scope of this notice and below authorization is not limited to the present and, if you are hired, will continue throughout the course of your employment and allow the Company to conduct future screenings for retention, promotion or reassignment, as permitted by law and unless revoked by you in writing.</span></p></div>",
"authorizationStatement": "<div><p><b><u><span>AUTHORIZATION</span></u></b></p><p>By signing below, you authorize the obtaining of a consumer report by the Company at any time after receipt of this authorization and throughout the course of your employment, as described above.</p><form><p><input type='checkbox' readonly='' ##SEND_REPORT## style='-fs-checkbox-style: check;' /><label>Check the box if you would like to receive a copyÏ of the investigative consumer report, free of charge, if one is obtained by the Company.</label></p><p>Signature</p><p><input type='text' readonly='' value=''/></p></form></div>",
"authorizationObject": {
"sections": [
{
"title": "AUTHORIZATION",
"selectionValue": "signature",
"body": "By signing below, you authorize the obtaining of a consumer report by the Company at any time after receipt of this authorization and throughout the course of your employment, as described above."
}
]
}
}Get Custom Disclosure
Retrieves a Custom Disclosure document to present to the candidate so that the candidate can acknowledge and continue the onboarding process. If the candidate has already acknowledged the disclosure, the response will indicate this and provide a valid caseDataId so that the details of the previous acknowledgement can be retrieved. This can also be used to determine whether the candidate can skip this specific disclosure step if they leave and then continue their onboarding later or on another device, for example.
curl --request GET \
--url https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-stage.karmacheck.io/case/id/{caseId}/customdisclosure/{language}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"alreadyAck": false,
"title": "<div>Custom Disclosure Acknowledgment and Authorization for Background Check (custom)</div>",
"header": "<div>Disclosure regarding background investigation and investigative consumer reports, a summary of your rights under the Fair Credit Reporting Act</div>",
"body": "<div><p><span>custom disclosure - I acknowledge receipt of the separate documents entitled DISCLOSURE REGARDING BACKGROUND INVESTIGATION, A SUMMARY OF YOUR RIGHTS UNDER THE FAIR CREDIT REPORTING ACT and the DISCLOSURE FOR INVESTIGATIVE CONSUMER REPORT and certify that I have read and understand those documents. </span></p><p><span>In connection with your employment application with Example Company (the “Company”), this notice is intended to inform you that a consumer report(s) (also known as “a background check”) may be obtained on you from a consumer reporting agency for employment purposes. The reports may contain information about you relating to your criminal information or history, driving and/or motor vehicle records, education and/or employment history, social media, or other background checks, inclusive of but not necessarily limited to records and information from </span><span>any law enforcement agency, administrator, state or federal agency, institution, school or university (public or private), information service bureau, employer, or insurance company</span><span>. </span><span>I agree that a facsimile ("fax"), electronic or photographic copy of this Authorization shall be as valid as the original.</span></p><p><span>The report(s) is being prepared by our background screening vendor, KarmaCheck, Inc. and its associated partners or vendors.</span></p><p><span>The scope of this notice and below authorization is not limited to the present and, if you are hired, will continue throughout the course of your employment and allow the Company to conduct future screenings for retention, promotion or reassignment, as permitted by law and unless revoked by you in writing.</span></p></div>",
"authorizationStatement": "<div><p><b><u><span>AUTHORIZATION</span></u></b></p><p>By signing below, you authorize the obtaining of a consumer report by the Company at any time after receipt of this authorization and throughout the course of your employment, as described above.</p><form><p><input type='checkbox' readonly='' ##SEND_REPORT## style='-fs-checkbox-style: check;' /><label>Check the box if you would like to receive a copyÏ of the investigative consumer report, free of charge, if one is obtained by the Company.</label></p><p>Signature</p><p><input type='text' readonly='' value=''/></p></form></div>",
"authorizationObject": {
"sections": [
{
"title": "AUTHORIZATION",
"selectionValue": "signature",
"body": "By signing below, you authorize the obtaining of a consumer report by the Company at any time after receipt of this authorization and throughout the course of your employment, as described above."
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The language code (e.g. en-US)
The ID of a case.
Response
OK
True if the candidate already acknowledged the disclosure; false otherwise.
Escaped HTML.
Escaped HTML.
Escaped HTML.
Show child attributes
Show child attributes
Escaped HTML.
Returned only if alreadyAck is true.
Returned only if alreadyAck is true. For candidates who onboarded using KarmaCheck's onboarding experience, this is the value that the candidate entered into the signature input field on the legal step, which might not be exactly the same as the name that the case was ordered under.